Table of Contents

HTTPSupervisor Manual

- About HTTPSupervisor
- The risks
- How does HTTPSupervisor work?
- Main Settings
- Temporarily Disabling HTTPSupervisor
- Program Rules
- Web Site Rules
- Ad Blocking Rules
- Exceptions
- Log File
- Resetting All Settings
- FAQ
Copyright © 2005 SecuritySupervisor


About HTTPSupervisor

Next Page >>

About HTTPSupervisor

HTTPSupervisor monitors each outgoing HTTP request from your computer sent by your browser, email client, instant messenger, media player etc. This allows you to optimize your Internet use by only downloading the necessary Internet resources. With the preconfigured rules HTTPSupervisor will block unwanted images, flash, html, text ads and banners. HTTPSupervisor will stop harmful web counters from tracing your browsing activities and will speed up the downloading of web pages.
HTTPSupervisor will protect your privacy and avoid converting your own Internet traffic into income for someone else. It Works with all popular web browsers as well as blocking built-in ads inherent to many popular adware programs (ICQ, eDonkey, etc.).

The risks

After installation nearly all programs nowadays, even commercial ones, collect some information from your computer and send it to their owners validating the existence of the program, installation/uninstallaton, etc greatly intruding on your your privacy and wasting your Internet traffic.

The majority of web pages on the Internet are overloaded with advertising, and every time another advertising picture is loaded into your browser you waste your time and Internet traffic, creating income for these site owners.

Moreover, many sites contain so-called tracing counters which allow tracking of all your browsing activities. Being of no use to you, they make it possible for site owners to detect that you have visited, the sequence and duration of your visits, the kind of browser being used, your native language, your Windows version, whether this is the first visit or if you’ve visited this site before, how often you use it etc.

Besides, these tracing counters are widely used by spammers. When accidentally viewing junk email, you involuntarily confirm the validity of your email address which leads to a larger flow of spam to your Inbox.

How does HTTPSupervisor work?

Right after installation HTTPSupervisor installs a special network component that monitors all outgoing Internet traffic from your computer. This makes it impossible to bypass HTTPSupervisor and makes HTTPSupervisor insensitive to what type of web browser you have, email client, media player and its configuration. Upon attempting to send an HTTP request from your computer, HTTPSupervisor suspends the transfer, determines whether a useful resource is being loaded or if it is trash and displays a corresponding warning.

Next Page >>

Copyright © 2005 SecuritySupervisor


HTTPSupervisor. Main Settings

Main Settings

When an attempt to send an outgoing HTTP request from your computer occurs, HTTPSupervisor suspends the sending this request and displays a corresponding message box to you. You can choose whether to allow or to block this request and create rules related to all similar attempts made in the future.

To open HTTPSupervisor Control Panel double-click on the HTTPSupervisor icon near the clock. If you are using Windows XP and cannot locate the icon, click on the circle near the clock.

Temporarily Disabling HTTPSupervisor

To temporarily disable the HTTPSupervisor module without losing your settings, uncheck the "Enable HTTPSupervisor" checkbox. To enable HTTPSupervisor, check the "Enable HTTPSupervisor" checkbox again.

Program Rules

In the event of an attempt to send an outgoing HTTP request from your computer by an unknown program, HTTPSupervisor will suspend it and will display a corresponding message box to you. You can choose whether to allow this program to send HTTP requests or to block it. Select “Allow” for the programs that you often use (web browser for example) and “Block” for unknown programs. If you are not sure, then select “Warn” and you will be warned about each attempt to send HTTP requests by this program. If you have accidentally specified an incorrect rule and cannot use your desired program anymore, then you can always either delete this rule or select “Reset all settings” to cancel all of your changes.

Web Site Rules

In the event of an attempt to send outgoing HTTP request from your computer to an unknown web site, HTTPSupervisor will suspend it and will display a corresponding message box to you. You can choose whether to download resources from this Web Site or not. Select “Allow” for the Web Sites you periodically visit and “Block” for sites of no use; those that do nothing but waste your Internet traffic. If you are not sure yet then select “Warn” and you will be warned about each attempt to send HTTP requests to this web site. If you have accidentally specified an incorrect rule and your favorite web site does no longer open, then you can either delete this rule or select “Reset all settings” to cancel all of your changes.

Ad Blocking Rules

HTTPSupervisor comes with a built-in database of preconfigured rules for blocking most popular ads and advertising networks. After detecting an attempt to send HTTP request from your computer, HTTPSupervisor analyses the requested URL according to these rules and decides whether to let this request through or to block it. You can also add your customed rules manually.

Exceptions

If for any reason you don’t want HTTPSupervisor to block advertisements from some specific web sites, add them to the Exceptions list. Alternatively, you can delete or modify the rules from Ad Blocking Rules that block resources from this site, instead of including this site into Exceptions list.

Log File

The complete list of passed and blocked outgoing HTTP requests can be viewed from the HTTPSupervisor Control Panel. The log file contains: sending time, user name, program name, reason for blocking (if it was blocked) and the complete URL of the resource requested.

Resetting All Settings

To delete all the rules created by yourself, cancel all of your changes to the existing rules and restore their default values, select Reset All Settings in the contents menu which is displayed when you click on the HTTPSupervisor icon near the clock.

<< Previous Page Next Page >>

Copyright © 2005 SecuritySupervisor


HTTPSupervisor. FAQ

<< Previous Page

FAQ

  • How to add my favorite web browser, email client, media player and etc. to the program watch list?

    • HTTPSupervisor automatically detects the attempt of your web browser (email client, media player, etc.) to send an outgoing HTTP request and asks you to create a rule for it. Also, its always possible to add the program manually to the program watch list via Program Rules item on HTTPSupervisor Control Panel.

  • How to allow the downloading of all resources from a particular Web Site?

    • Add this web site to the Exceptions list, of the HTTPSupervisor Control Panel.

  • Do I have to manually launch HTTPSupervisor always after my OS loads, to protect my computer as the first step?

    • No, HTTPSupervisor will be automatically loaded immediately after the operating system is loaded.

  • Does HTTPSupervisor work with sites requested via HTTPS protocol?

    • No, HTTPSupervisor does not work with sites requested via HTTPS protocol.

    << Previous Page

    Copyright © 2005 SecuritySupervisor